Get Transaction Metadata

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/zipform-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "ZipForm API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/zipform-api/mcp"
  }
}

Close
GET /transactions/{transactionId}

Returns the metadata for a specific transaction. Useful for a quick lookup of a transaction by its GUID.

Path parameters

  • transactionId string(uuid) Required

    Transaction GUID

Responses

  • 200 application/json

    Transaction metadata returned successfully

    Hide response attributes Show response attributes object
    • id string(uuid)

      Transaction GUID

    • name string
    • status string

      Values are active, pending, closed, inactive, or locked.

    • expiration string(date-time)
    • transactionType string

      Values are Listing, Purchase, Lease, or LeaseListing.

    • propertyType string

      Values are Residential, Commercial, Industrial, VacantLand, MultiUnit, FarmAndRanch, Condominium, ManufacturedHome, Coop, or Unlisted.

    • hasFiles boolean
    • created string(date-time)
    • lastUpdated string(date-time)
    • ownerName string
    • number integer
    • seller string
    • buyer string
    • propertyAddress string

      Full address in one value

    • address string
    • city string
    • state string
    • zip string
    • isSigned boolean

      Whether the transaction has signed documents

    • EncryptedOwnerId string(uuid)

      GUID of the agent who owns this transaction

  • 401

    Unauthorized

  • 404

    Transaction not found

GET /transactions/{transactionId}
curl \
 --request GET 'https://api.pre.zipformplus.com/api/transactions/{transactionId}' \
 --header "X-Auth-ContextId: $API_KEY"
Response examples (200)
{
  "id": "string",
  "name": "1060 Mountain St",
  "status": "active",
  "expiration": "2026-05-04T09:42:00Z",
  "transactionType": "Listing",
  "propertyType": "Residential",
  "hasFiles": true,
  "created": "2026-05-04T09:42:00Z",
  "lastUpdated": "2026-05-04T09:42:00Z",
  "ownerName": "string",
  "number": 1033771,
  "seller": "string",
  "buyer": "string",
  "propertyAddress": "string",
  "address": "string",
  "city": "string",
  "state": "string",
  "zip": "string",
  "isSigned": true,
  "EncryptedOwnerId": "string"
}